Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util
Class OMLoggingFormatter

    java.lang.Object
      java.util.logging.Formatter
          com.bbn.openmap.util.OMLoggingFormatter

public class OMLoggingFormatter
extends java.util.logging.Formatter

Constructor Summary
`OMLoggingFormatter()`

Method Summary
`java.lang.String` | `format(java.util.logging.LogRecord record)` Format the given LogRecord.

Methods inherited from class java.util.logging.Formatter
`formatMessage, getHead, getTail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OMLoggingFormatter

    public OMLoggingFormatter()

Method Detail

### format

    public java.lang.String format(java.util.logging.LogRecord record)

  Format the given LogRecord.

  Parameters:
    `record` - the log record to be formatted.
  Returns:
    a formatted log record

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details